%define _mozillaextpath %{firefox_mozillapath}/extensions

%define snapshot 20090913

Name: firefox-ext-bonjourfoxy
Version: 0.5.1
Release: %mkrel 0.%{snapshot}.2
Summary: BonjourFoxy extension for firefox
License: Public Domain
Group:	Networking/WWW
URL:	http://andrew.tj.id.au/projects/bonjourfoxy/
Source0:    bonjourfoxy-%{snapshot}.tar.gz
Patch0:     bonjourfoxy-20090913-fix-linux-detection.patch
Requires:	firefox = %{firefox_epoch}:%{firefox_version}
BuildRequires:	xulrunner
BuildRequires:	xulrunner-devel
BuildRequires:	firefox-devel
BuildRequires:	nspr-devel
BuildRequires:	avahi-compat-libdns_sd-devel
BuildRoot: %{_tmppath}/%{name}-%{version}

%description
BonjourFoxy adds Bonjour (DNS Service Discovery) support to Firefox 3. It is
beta software however it is feature complete in that via the use of a sidebar
or menu you can browse for and navigate to services. Bonjourfoxy also provides
an interface for Extension developers to perform browse, resolve and register
services as well as to enumerate browse/registration domains.

%prep
%setup -q -n bonjourfoxy-%{snapshot}
%patch0 -p 1

%build
cd src
make

%install
rm -rf %{buildroot}

extdir="%{_mozillaextpath}/bonjourfoxy@andrew.tj.id.au"
install -d -m 755  %{buildroot}$extdir

cp -pr ext/content %{buildroot}$extdir
cp -pr ext/defaults %{buildroot}$extdir
cp -pr ext/locale %{buildroot}$extdir
cp -pr ext/skin %{buildroot}$extdir
cp -pr ext/skin-darwin %{buildroot}$extdir

install -m 644 ext/install.rdf %{buildroot}$extdir
install -m 644 ext/chrome.manifest %{buildroot}$extdir

install -d -m 755 %{buildroot}$extdir/components
install -m 644 src/*/*.js %{buildroot}$extdir/components
install -m 644 src/*/*.xpt %{buildroot}$extdir/components
install -d -m 755 %{buildroot}$extdir/platform/Linux/components
install -m 644 src/*/*.so %{buildroot}$extdir/platform/Linux/components

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %firefox_mozillapath
%{_mozillaextpath}


%changelog
* Tue Sep 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.1-0.20090913.2mdv2010.0
+ Revision: 442785
- rebuild

* Sun Sep 13 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.1-0.20090913.1mdv2010.0
+ Revision: 438750
- new version

  + Funda Wang <fundawang@mandriva.org>
    - fix BR

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - make use of the firefox package macros
    - rebuild for firefox 3.5.2

* Thu Aug 06 2009 Funda Wang <fundawang@mandriva.org> 0.4.1-4mdv2010.0
+ Revision: 410504
- rebuild for new ff

* Fri Jul 31 2009 Funda Wang <fundawang@mandriva.org> 0.4.1-3mdv2010.0
+ Revision: 405028
- rebuild for new ff

* Sun Jun 14 2009 Funda Wang <fundawang@mandriva.org> 0.4.1-2mdv2010.0
+ Revision: 385772
- rebuild for new ff

* Sat May 30 2009 Funda Wang <fundawang@mandriva.org> 0.4.1-1mdv2010.0
+ Revision: 381248
- New version 0.4.1

* Thu May 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.0-3mdv2010.0
+ Revision: 372889
- fix firefox directory for backports

* Fri May 01 2009 Funda Wang <fundawang@mandriva.org> 0.4.0-2mdv2010.0
+ Revision: 369816
- rebuild for new ff

* Wed Apr 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.0-1mdv2009.1
+ Revision: 367591
- import firefox-ext-bonjourfoxy


